View Issue Details

IDProjectCategoryView StatusLast Update
0002510Kali Linux[All Projects] General Bugpublic2016-04-30 00:21
ReporterRuby Assigned Tosteev  
PrioritynormalSeveritycrashReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version2016.1 
Summary0002510: Beaglebone mouse crash
DescriptionBeaglebone black crashes when moving mouse on login screen and at the desktop in kali 2.0.
Steps To ReproduceStart kali 2.0 on the Breaglebone black and move the mouse on the login or on the desktop resulting in a freeze.
Additional InformationI am using a Logitech wireless keyboard and mouse k400r, and a generic wired dell mouse.

Activities

Fredo

2015-12-21 22:23

reporter   ~0004423

I'm also consistently seeing this problem. It occurs with a powered, or unpowered hub, and with various keyboards, mice and keyboard/mice combinations. Note that "freeze" actually is a total system crash, the Beaglebone heartbeat stops.

steev

2015-12-23 21:26

developer   ~0004442

How are you guys powering the beaglebone blacks? Are you using the barrel connector or just via the usb port?

Fredo

2015-12-23 22:57

reporter   ~0004444

Barrel connector, with the BB connected to the back of the 7" LCD cape for the display. Should be plenty of power if that's what you're thinking, I can run a few more tests.

Dropping down to a console works fine, the problem is in X.

steev

2015-12-24 00:08

developer   ~0004445

Can you get serial output while you have the 7" cape attached or no? I don't have one so I'm not entirely familiar with it. But I'm guessing based on the initial report that it happens whether 7" or hdmi is attached? I'm not seeing it here on mine, so if I could get serial output from either of you, that would be great.

Fredo

2015-12-24 14:38

reporter   ~0004448

Output via the debug serial header? Not easily with the 7" screen cape as it mounts to the back 'face up', i.e the top face plugged directly into pins on the back of the cape. About the only way without soldering to the pins is to use the small fat minigrabbers but I only have on hand the larger barrel mini's which are too large.

Well I have an order going into Mouser so I'll see about picking up some of the smaller grabbers too.

S1NH

2015-12-28 12:59

reporter  

kali1 (43,605 bytes)
Welcome to minicom 2.7

OPTIONS: I18n 
Compiled on Jan  1 2014, 09:30:18.
Port /dev/ttyUSB0, 07:44:41

Press CTRL-A Z for help on special keys


U-Boot SPL 2015.10-00001-g51aa16b (Oct 21 2015 - 14:16:21)
bad magic


U-Boot 2015.10-00001-g51aa16b (Oct 21 2015 - 14:16:21 -0500), Build: jenkins-gi0

       Watchdog enabled
I2C:   ready
DRAM:  512 MiB
Reset Source: Global external warm reset has occurred.
Reset Source: Power-on reset has occurred.
MMC:   OMAP SD/MMC: 0, OMAP SD/MMC: 1
Using default environment
                                                                                
Net:   <ethaddr> not set. Validating first E-fuse MAC                           
cpsw                                                                            
Hit any key to stop autoboot:  0                                                
gpio: pin 53 (gpio 53) value is 1                                               
switch to partitions #0, OK                                                     
mmc0 is current device                                                          
gpio: pin 54 (gpio 54) value is 1                                               
Checking for: /uEnv.txt ...                                                     
reading uEnv.txt                                                                
1039 bytes read in 4 ms (252.9 KiB/s)                                           
gpio: pin 55 (gpio 55) value is 1                                               
Loaded environment from uEnv.txt                                                
Importing environment from mmc ...                                              
Checking if uenvcmd is set ...                                                  
gpio: pin 56 (gpio 56) value is 1                                               
Running uenvcmd ...                                                             
reading zImage                                                                  
5497608 bytes read in 301 ms (17.4 MiB/s)                                       
reading /dtbs/am335x-boneblack.dtb                                              
25926 bytes read in 9 ms (2.7 MiB/s)                                            
Kernel image @ 0x82000000 [ 0x000000 - 0x53e308 ]                               
## Flattened Device Tree blob at 88000000                                       
   Booting using the fdt blob at 0x88000000                                     
   Loading Device Tree to 8fff6000, end 8ffff545 ... OK                         
                                                                                
Starting kernel ...                                                             
                                                                                
Uncompressing Linux... done, booting the kernel.                                
[    0.000000] Booting Linux on physical CPU 0x0                                
[    0.000000] Initializing cgroup subsys cpu                                   
[    0.000000] Linux version 3.8.13-bone53 (root@builder) (gcc version 4.7.3 205
[    0.000000] CPU: ARMv7 Processor [413fc082] revision 2 (ARMv7), cr=50c5387d  
[    0.000000] CPU: PIPT / VIPT nonaliasing data cache, VIPT aliasing instructie
[    0.000000] Machine: Generic AM33XX (Flattened Device Tree), model: TI AM335e
[    0.000000] Memory policy: ECC disabled, Data cache writeback                
[    0.000000] AM335X ES1.0 (neon )                                             
[    0.000000] PERCPU: Embedded 9 pages/cpu @c0d09000 s14080 r8192 d14592 u36864
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pa2
[    0.000000] Kernel command line: console=ttyO0,115200n8 root=/dev/mmcblk0p2 c
[    0.000000] PID hash table entries: 2048 (order: 1, 8192 bytes)              
[    0.000000] Dentry cache hash table entries: 65536 (order: 6, 262144 bytes)  
[    0.000000] Inode-cache hash table entries: 32768 (order: 5, 131072 bytes)   
[    0.000000] __ex_table already sorted, skipping sort                         
[    0.000000] allocated 1048576 bytes of page_cgroup                           
[    0.000000] please try 'cgroup_disable=memory' option if you don't want memos
[    0.000000] Memory: 511MB = 511MB total                                      
[    0.000000] Memory: 508428k/508428k available, 15860k reserved, 0K highmem   
[    0.000000] Virtual kernel memory layout:                                    
[    0.000000]     vector  : 0xffff0000 - 0xffff1000   (   4 kB)                
[    0.000000]     fixmap  : 0xfff00000 - 0xfffe0000   ( 896 kB)                
[    0.000000]     vmalloc : 0xe0800000 - 0xff000000   ( 488 MB)                
[    0.000000]     lowmem  : 0xc0000000 - 0xe0000000   ( 512 MB)                
[    0.000000]     pkmap   : 0xbfe00000 - 0xc0000000   (   2 MB)                
[    0.000000]     modules : 0xbf800000 - 0xbfe00000   (   6 MB)                
[    0.000000]       .text : 0xc0008000 - 0xc07bbc6c   (7888 kB)                
[    0.000000]       .init : 0xc07bc000 - 0xc07f8700   ( 242 kB)                
[    0.000000]       .data : 0xc07fa000 - 0xc0881580   ( 542 kB)                
[    0.000000]        .bss : 0xc0881580 - 0xc08f8cc0   ( 478 kB)                
[    0.000000] Hierarchical RCU implementation.                                 
[    0.000000]  RCU restricting CPUs from NR_CPUS=4 to nr_cpu_ids=1.            
[    0.000000] NR_IRQS:0 nr_irqs:0 0                                            
[    0.000000] IRQ: Found an INTC at 0xfa200000 (revision 5.0) with 128 interrus
[    0.000000] Total of 128 interrupts on 1 active controller                   
[    0.000000] OMAP clockevent source: GPTIMER1 at 24000000 Hz                  
[    0.000000] sched_clock: 32 bits at 24MHz, resolution 41ns, wraps every 1789s
[    0.000000] OMAP clocksource: GPTIMER2 at 24000000 Hz                        
[    0.000000] Console: colour dummy device 80x30                               
[    0.000230] Calibrating delay loop... 993.47 BogoMIPS (lpj=969728)           
[    0.029183] pid_max: default: 32768 minimum: 301                             
[    0.029317] Security Framework initialized                                   
[    0.029372] Mount-cache hash table entries: 512                              
[    0.034988] Initializing cgroup subsys cpuacct                               
[    0.035011] Initializing cgroup subsys memory                                
[    0.035086] Initializing cgroup subsys blkio                                 
[    0.035170] CPU: Testing write buffer coherency: ok                          
[    0.035551] CPU0: thread -1, cpu 0, socket -1, mpidr 0                       
[    0.035603] Setting up static identity map for 0x804a2b38 - 0x804a2b84       
[    0.036519] Brought up 1 CPUs                                                
[    0.036533] SMP: Total of 1 processors activated (993.47 BogoMIPS).          
[    0.037316] devtmpfs: initialized                                            
[    0.045713] omap_hwmod: wd_timer2: _wait_target_disable failed               
[    0.097863] pinctrl core: initialized pinctrl subsystem                      
[    0.097995] rstctl core: initialized rstctl subsystem                        
[    0.098290] regulator-dummy: no parameters                                   
[    0.098602] NET: Registered protocol family 16                               
[    0.099126] DMA: preallocated 256 KiB pool for atomic coherent allocations   
[    0.104730] pinctrl-single 44e10800.pinmux: 142 pins at pa f9e10800 size 568 
[    0.105285] platform 49000000.edma: alias fck already exists                 
[    0.105300] platform 49000000.edma: alias fck already exists                 
[    0.105314] platform 49000000.edma: alias fck already exists                 
[    0.106047] OMAP GPIO hardware version 0.1                                   
[    0.108502] gpio-rctrl rstctl.4: loaded OK                                   
[    0.111662] hw-breakpoint: debug architecture 0x4 unsupported.               
[    0.112887] cpsw.0: No hwaddr in dt. Using 90:59:af:4b:7c:ea from efuse      
[    0.112906] cpsw.1: No hwaddr in dt. Using 90:59:af:4b:7c:ec from efuse      
[    0.121082] bio: create slab <bio-0> at 0                                    
[    0.127362] edma-dma-engine edma-dma-engine.0: TI EDMA DMA engine driver     
[    0.127634] vmmcsd_fixed: 3300 mV                                            
[    0.129205] SCSI subsystem initialized                                       
[    0.129438] usbcore: registered new interface driver usbfs                   
[    0.129499] usbcore: registered new interface driver hub                     
[    0.129689] usbcore: registered new device driver usb                        
[    0.130903] omap_i2c 44e0b000.i2c: bus 0 rev0.11 at 400 kHz                  
[    0.131809] input: tps65217_pwr_but as /devices/ocp.3/44e0b000.i2c/i2c-0/0-00
[    0.133072] DCDC1: at 1500 mV                                                
[    0.133909] vdd_mpu: 925 <--> 1325 mV at 1325 mV                             
[    0.134758] vdd_core: 925 <--> 1150 mV at 1125 mV                            
[    0.135564] LDO1: at 1800 mV                                                 
[    0.136354] LDO2: at 3300 mV                                                 
[    0.137885] LDO3: 1800 mV                                                    
[    0.138731] LDO4: at 3300 mV                                                 
[    0.139446] tps65217 0-0024: TPS65217 ID 0xe version 1.2                     
[    0.139893] omap_i2c 44e0b000.i2c: unable to select pin group                
[    0.140348] omap_i2c 4819c000.i2c: bus 1 rev0.11 at 100 kHz                  
[    0.141763] omap_i2c 4819c000.i2c: unable to select pin group                
[    0.141904] media: Linux media interface: v0.10                              
[    0.141967] Linux video capture interface: v2.00                             
[    0.142041] pps_core: LinuxPPS API ver. 1 registered                         
[    0.142049] pps_core: Software ver. 5.3.6 - Copyright 2005-2007 Rodolfo Giom>
[    0.142512] Advanced Linux Sound Architecture Driver Initialized.            
[    0.143095] NetLabel: Initializing                                           
[    0.143105] NetLabel:  domain hash size = 128                                
[    0.143111] NetLabel:  protocols = UNLABELED CIPSOv4                         
[    0.143177] NetLabel:  unlabeled traffic allowed by default                  
[    0.143352] Switching to clocksource gp_timer                                
[    0.174410] NET: Registered protocol family 2                                
[    0.175107] TCP established hash table entries: 4096 (order: 3, 32768 bytes) 
[    0.175188] TCP bind hash table entries: 4096 (order: 4, 81920 bytes)        
[    0.175281] TCP: Hash tables configured (established 4096 bind 4096)         
[    0.175340] TCP: reno registered                                             
[    0.175354] UDP hash table entries: 256 (order: 1, 12288 bytes)              
[    0.175379] UDP-Lite hash table entries: 256 (order: 1, 12288 bytes)         
[    0.175611] NET: Registered protocol family 1                                
[    0.176002] RPC: Registered named UNIX socket transport module.              
[    0.176015] RPC: Registered udp transport module.                            
[    0.176022] RPC: Registered tcp transport module.                            
[    0.176029] RPC: Registered tcp NFSv4.1 backchannel transport module.        
[    0.176482] hw perfevents: enabled with ARMv7 Cortex-A8 PMU driver, 5 countee
[    0.176840] CPU PMU: attempt to register multiple PMU devices!               
[    0.176867] arm-pmu: probe of arm-pmu failed with error -28                  
[    0.177131] omap2_mbox_probe: platform not supported                         
[    0.328742] VFS: Disk quotas dquot_6.5.2                                     
[    0.328881] Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)       
[    0.329708] NFS: Registering the id_resolver key type                        
[    0.329779] Key type id_resolver registered                                  
[    0.329788] Key type id_legacy registered                                    
[    0.330060] fuse init (API version 7.20)                                     
[    0.330443] Btrfs loaded                                                     
[    0.330539] msgmni has been set to 993                                       
[    0.332141] Block layer SCSI generic (bsg) driver version 0.4 loaded (major )
[    0.332157] io scheduler noop registered                                     
[    0.332165] io scheduler deadline registered                                 
[    0.332186] io scheduler cfq registered (default)                            
[    0.333344] tps65217-bl tps65217-bl: no platform data provided               
[    0.333367] tps65217-bl: probe of tps65217-bl failed with error -22          
[    0.333868] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled          
[    0.335212] omap_uart 44e09000.serial: did not get pins for uart0 error: -19 
[    0.335487] 44e09000.serial: ttyO0 at MMIO 0x44e09000 (irq = 72) is a OMAP U0
[    1.077303] console [ttyO0] enabled                                          
[    1.081582] [drm] Initialized drm 1.1.0 20060810                             
[    1.093666] brd: module loaded                                               
[    1.100610] loop: module loaded                                              
[    1.103988] at24 0-0050: 32768 byte 24c256 EEPROM, writable, 1 bytes/write   
[    1.111237] at24 1-0054: 32768 byte 24c256 EEPROM, writable, 1 bytes/write   
[    1.118480] at24 1-0055: 32768 byte 24c256 EEPROM, writable, 1 bytes/write   
[    1.125797] at24 1-0056: 32768 byte 24c256 EEPROM, writable, 1 bytes/write   
[    1.133038] at24 1-0057: 32768 byte 24c256 EEPROM, writable, 1 bytes/write   
[    1.146947] bone-capemgr bone_capemgr.9: Baseboard: 'A335BNLT,00A6,4513BBBK0'
[    1.154702] bone-capemgr bone_capemgr.9: compatible-baseboard=ti,beaglebone-k
[    1.192255] bone-capemgr bone_capemgr.9: slot #0: No cape found              
[    1.229361] bone-capemgr bone_capemgr.9: slot #1: No cape found              
[    1.266470] bone-capemgr bone_capemgr.9: slot #2: No cape found              
[    1.303580] bone-capemgr bone_capemgr.9: slot #3: No cape found              
[    1.309792] bone-capemgr bone_capemgr.9: slot #4: specific override          
[    1.316356] bone-capemgr bone_capemgr.9: bone: Using override eeprom data at4
[    1.324367] bone-capemgr bone_capemgr.9: slot #4: 'Bone-LT-eMMC-2G,00A0,Texa'
[    1.334436] bone-capemgr bone_capemgr.9: slot #5: specific override          
[    1.340993] bone-capemgr bone_capemgr.9: bone: Using override eeprom data at5
[    1.349007] bone-capemgr bone_capemgr.9: slot #5: 'Bone-Black-HDMI,00A0,Texa'
[    1.358979] bone-capemgr bone_capemgr.9: slot #6: specific override          
[    1.365555] bone-capemgr bone_capemgr.9: bone: Using override eeprom data at6
[    1.373572] bone-capemgr bone_capemgr.9: slot #6: 'Bone-Black-HDMIN,00A0,Tex'
[    1.383976] bone-capemgr bone_capemgr.9: loader: before slot-4 BB-BONE-EMMC-)
[    1.392817] bone-capemgr bone_capemgr.9: loader: check slot-4 BB-BONE-EMMC-2)
[    1.401614] bone-capemgr bone_capemgr.9: loader: before slot-5 BB-BONELT-HDM)
[    1.410360] bone-capemgr bone_capemgr.9: loader: check slot-5 BB-BONELT-HDMI)
[    1.419025] bone-capemgr bone_capemgr.9: initialized OK.                     
[    1.424600] bone-capemgr bone_capemgr.9: loader: before slot-6 BB-BONELT-HDM)
[    1.433423] bone-capemgr bone_capemgr.9: loader: check slot-6 BB-BONELT-HDMI)
[    1.443826] OneNAND driver initializing                                      
[    1.448748] usbcore: registered new interface driver cdc_ether               
[    1.454892] bone-capemgr bone_capemgr.9: loader: after slot-4 BB-BONE-EMMC-2)
[    1.463684] usbcore: registered new interface driver rndis_host              
[    1.469917] bone-capemgr bone_capemgr.9: loader: after slot-5 BB-BONELT-HDMI)
[    1.478576] bone-capemgr bone_capemgr.9: loader: check slot-6 BB-BONELT-HDMI)
[    1.487379] usbcore: registered new interface driver cdc_ncm                 
[    1.493318] bone-capemgr bone_capemgr.9: slot #4: Requesting firmware 'cape-'
[    1.507322] usbcore: registered new interface driver cdc_acm                 
[    1.513261] cdc_acm: USB Abstract Control Model driver for USB modems and ISs
[    1.521630] Initializing USB Mass Storage driver...                          
[    1.526751] bone-capemgr bone_capemgr.9: slot #4: dtbo 'cape-bone-2g-emmc1.de
[    1.537417] bone-capemgr bone_capemgr.9: slot #5: Requesting firmware 'cape-'
[    1.551571] usbcore: registered new interface driver usb-storage             
[    1.557845] USB Mass Storage support registered.                             
[    1.562867] bone-capemgr bone_capemgr.9: slot #4: #2 overlays                
[    1.569481] bone-capemgr bone_capemgr.9: slot #4: Applied #2 overlays.       
[    1.576335] bone-capemgr bone_capemgr.9: loader: done slot-4 BB-BONE-EMMC-2G)
[    1.584998] bone-capemgr bone_capemgr.9: loader: check slot-6 BB-BONELT-HDMI)
[    1.593753] bone-capemgr bone_capemgr.9: slot #5: dtbo 'cape-boneblack-hdmi-e
[    1.605077] musb-hdrc: version 6.0, ?dma?, otg (peripheral+host)             
[    1.611615] musb-hdrc musb-hdrc.0.auto: pdev->id = 0                         
[    1.616841] musb-hdrc musb-hdrc.0.auto: drivers/usb/musb/musb_dsps.c:468 dspK
[    1.626149] bone-capemgr bone_capemgr.9: slot #5: #4 overlays                
[    1.633500] platform 4830e000.fb: alias fck already exists                   
[    1.639530] musb-hdrc musb-hdrc.0.auto: *** mode=3                           
[    1.644546] musb-hdrc musb-hdrc.0.auto: *** power=250                        
[    1.650270] musb-hdrc musb-hdrc.1.auto: pdev->id = 1                         
[    1.655512] musb-hdrc musb-hdrc.1.auto: drivers/usb/musb/musb_dsps.c:468 dspK
[    1.665249] bone-capemgr bone_capemgr.9: slot #5: Applied #4 overlays.       
[    1.672109] bone-capemgr bone_capemgr.9: loader: done slot-5 BB-BONELT-HDMI:)
[    1.680693] bone-capemgr bone_capemgr.9: loader: check slot-6 BB-BONELT-HDMI)
[    1.689452] bone-capemgr bone_capemgr.9: loader: after slot-6 BB-BONELT-HDMI)
[    1.698336] musb-hdrc musb-hdrc.1.auto: *** mode=1                           
[    1.703372] musb-hdrc musb-hdrc.1.auto: *** power=250                        
[    1.708656] musb-hdrc musb-hdrc.1.auto: MUSB HDRC host driver                
[    1.714758] bone-capemgr bone_capemgr.9: slot #6: Requesting firmware 'cape-'
[    1.729289] musb-hdrc musb-hdrc.1.auto: new USB bus registered, assigned bus1
[    1.737538] bone-capemgr bone_capemgr.9: slot #6: dtbo 'cape-boneblack-hdmine
[    1.749011] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002    
[    1.756126] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber1
[    1.763678] usb usb1: Product: MUSB HDRC host driver                         
[    1.768874] usb usb1: Manufacturer: Linux 3.8.13-bone53 musb-hcd             
[    1.775152] usb usb1: SerialNumber: musb-hdrc.1.auto                         
[    1.780951] hub 1-0:1.0: USB hub found                                       
[    1.785104] bone-capemgr bone_capemgr.9: slot #6: BB-BONELT-HDMIN conflict P)
[    1.794668] bone-capemgr bone_capemgr.9: slot #6: Failed verification        
[    1.801406] bone-capemgr bone_capemgr.9: loader: failed to load slot-6 BB-BO)
[    1.810966] hub 1-0:1.0: 1 port detected                                     
[    1.815877] mousedev: PS/2 mouse device common for all mice                  
[    1.823258] omap_rtc 44e3e000.rtc: rtc core: registered 44e3e000.rtc as rtc0 
[    1.830710] 44e3e000.rtc: already running                                    
[    1.835228] i2c /dev entries driver                                          
[    1.839898] pps_ldisc: PPS line discipline registered                        
[    1.845319] Driver for 1-wire Dallas network protocol.                       
[    1.851822] omap_wdt: OMAP Watchdog Timer Rev 0x01: initial timeout 60 sec   
[    1.859473] device-mapper: ioctl: 4.23.1-ioctl (2012-12-18) initialised: dm-m
[    1.868373] cpuidle: using governor ladder                                   
[    1.872687] cpuidle: using governor menu                                     
[    1.877087] omap_hsmmc mmc.5: of_parse_phandle_with_args of 'reset' failed   
[    1.884287] omap_hsmmc mmc.5: Failed to get rstctl; not using any            
[    1.890955] edma-dma-engine edma-dma-engine.0: allocated channel for 0:25    
[    1.898118] edma-dma-engine edma-dma-engine.0: allocated channel for 0:24    
[    1.905378] mmc.5 supply vmmc_aux not found, using dummy regulator           
[    1.912171] omap_hsmmc mmc.5: pins are not configured from the driver        
[    1.946379] gpio-rctrl rstctl.4: gpio_rctrl_request eMMC_RSTn                
[    1.952517] omap_hsmmc mmc.11: Got rstctl (gpio:#0 name eMMC_RSTn) label:eMMn
[    1.960470] gpio-rctrl rstctl.4: gpio_rctrl_deassert eMMC_RSTn               
[    1.966796] edma-dma-engine edma-dma-engine.0: allocated channel for 0:3     
[    1.973885] edma-dma-engine edma-dma-engine.0: allocated channel for 0:2     
[    1.981234] mmc.11 supply vmmc_aux not found, using dummy regulator          
[    1.987902] omap_hsmmc mmc.11: pins are not configured from the driver       
[    2.022668] pinctrl-single 44e10800.pinmux: pin 44e10854 already requested b8
[    2.034344] pinctrl-single 44e10800.pinmux: pin-21 (gpio-leds.8) status -22  
[    2.041628] pinctrl-single 44e10800.pinmux: could not request pin 21 on devie
[    2.050588] leds-gpio gpio-leds.8: pins are not configured from the driver   
[    2.058601] ledtrig-cpu: registered to indicate activity on CPUs             
[    2.065206] edma-dma-engine edma-dma-engine.0: allocated channel for 0:36    
[    2.072399] omap-sham 53100000.sham: hw accel on OMAP rev 4.3                
[    2.079845] omap-aes 53500000.aes: OMAP AES hw accel rev: 3.2                
[    2.086064] edma-dma-engine edma-dma-engine.0: allocated channel for 0:5     
[    2.093210] edma-dma-engine edma-dma-engine.0: allocated channel for 0:6     
[    2.101994] mmc0: host does not support reading read-only switch. assuming w.
[    2.111625] usbcore: registered new interface driver usbhid                  
[    2.117474] usbhid: USB HID core driver                                      
[    2.122635] ashmem: initialized                                              
[    2.126084] mmc0: new high speed SDHC card at address 0001                   
[    2.132077] logger: created 256K log 'log_main'                              
[    2.137287] mmcblk0: mmc0:0001 00000 14.6 GiB                                
[    2.142226] logger: created 256K log 'log_events'                            
[    2.147955] logger: created 256K log 'log_radio'                             
[    2.152931]  mmcblk0: p1 p2                                                  
[    2.156321] logger: created 256K log 'log_system'                            
[    2.164492] davinci_evm sound.14:  nxp-hdmi-hifi <-> 48038000.mcasp mapping k
[    2.174234] TCP: cubic registered                                            
[    2.177848] NET: Registered protocol family 10                               
[    2.183442] NET: Registered protocol family 17                               
[    2.188456] Key type dns_resolver registered                                 
[    2.193129] VFP support v0.3: implementor 41 architecture 3 part 30 variant 3
[    2.201229] ThumbEE CPU extension supported.                                 
[    2.205742] Registering SWP/SWPB emulation handler                           
[    2.211442] registered taskstats version 1                                   
[    2.217332] tilcdc 4830e000.fb: No power control GPIO                        
[    2.225517] usb 1-1: new full-speed USB device number 2 using musb-hdrc      
[    2.262088] mmc1: BKOPS_EN bit is not set                                    
[    2.268768] mmc1: new high speed MMC card at address 0001                    
[    2.274926] mmcblk1: mmc1:0001 MMC02G 1.78 GiB                               
[    2.280071] mmcblk1boot0: mmc1:0001 MMC02G partition 1 1.00 MiB              
[    2.286528] mmcblk1boot1: mmc1:0001 MMC02G partition 2 1.00 MiB              
[    2.294628]  mmcblk1: p1 p2                                                  
[    2.299399]  mmcblk1boot1: unknown partition table                           
[    2.305905]  mmcblk1boot0: unknown partition table                           
[    2.333370] tilcdc 4830e000.fb: found TDA19988                               
[    2.338585] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).      
[    2.345513] [drm] No driver support for vblank timestamp query.              
[    2.366095] usb 1-1: New USB device found, idVendor=046d, idProduct=c52e     
[    2.373117] usb 1-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[    2.380579] usb 1-1: Product: USB Receiver                                   
[    2.384863] usb 1-1: Manufacturer: Logitech                                  
[    2.392462] input: Logitech USB Receiver as /devices/ocp.3/47400000.usb/musb1
[    2.404447] hid-generic 0003:046D:C52E.0001: input,hidraw0: USB HID v1.11 Ke0
[    2.422296] input: Logitech USB Receiver as /devices/ocp.3/47400000.usb/musb2
[    2.434534] hid-generic 0003:046D:C52E.0002: input,hiddev0,hidraw1: USB HID 1
[    2.502569] tilcdc 4830e000.fb: Not sure which CEA mode to set, leaving as DI
[    2.521563] Console: switching to colour frame buffer device 180x56          
[    2.544967] tilcdc 4830e000.fb: fb0:  frame buffer device                    
[    2.550623] tilcdc 4830e000.fb: registered panic notifier                    
[    2.556292] [drm] Initialized tilcdc 1.0.0 20121205 on minor 0               
[    2.610258] davinci_mdio 4a101000.mdio: davinci mdio revision 1.6            
[    2.616660] davinci_mdio 4a101000.mdio: detected phy mask fffffffe           
[    2.623937] libphy: 4a101000.mdio: probed                                    
[    2.628140] davinci_mdio 4a101000.mdio: phy[0]: device 4a101000.mdio:00, dri0
[    2.637897] Detected MACID = 90:59:af:4b:7c:ea                               
[    2.642463] cpsw 4a100000.ethernet: NAPI disabled                            
[    2.648687] omap_rtc 44e3e000.rtc: setting system clock to 2000-01-01 02:40:)
[    2.662457] ALSA device list:                                                
[    2.665631]   #0: TI BeagleBone Black                                        
[    2.981495] EXT4-fs (mmcblk0p2): recovery complete                           
[    2.987824] EXT4-fs (mmcblk0p2): mounted filesystem with ordered data mode. )
[    2.996341] VFS: Mounted root (ext4 filesystem) on device 179:2.             
[    3.003522] devtmpfs: mounted                                                
[    3.007021] Freeing init memory: 240K                                        
[    3.172851] systemd[1]: systemd 215 running in system mode. (+PAM +AUDIT +SE)
[    3.187219] systemd[1]: Detected architecture 'arm'.                         
                                                                                
Welcome to Kali GNU/Linux 2.0 (sana)!                                           
                                                                                
[    3.206762] systemd[1]: Set hostname to <kali>.                              
[    3.587321] systemd[1]: Starting Forward Password Requests to Wall Directory.
[    3.595910] systemd[1]: Started Forward Password Requests to Wall Directory .
[    3.604034] systemd[1]: Expecting device dev-ttyO0.device...                 
         Expecting device dev-ttyO0.device...                                   
[    3.614900] systemd[1]: Starting Remote File Systems (Pre).                  
[  OK  ] Reached target Remote File Systems (Pre).                              
[    3.626639] systemd[1]: Reached target Remote File Systems (Pre).            
[    3.633267] systemd[1]: Starting Arbitrary Executable File Formats File Syst.
[  OK  ] Set up automount Arbitrary Executable File Formats F...utomount Point. 
[    3.651571] systemd[1]: Set up automount Arbitrary Executable File Formats F.
[    3.661592] systemd[1]: Starting Encrypted Volumes.                          
[  OK  ] Reached target Encrypted Volumes.                                      
[    3.671911] systemd[1]: Reached target Encrypted Volumes.                    
[    3.677733] systemd[1]: Starting Dispatch Password Requests to Console Direc.
[    3.686575] systemd[1]: Started Dispatch Password Requests to Console Direct.
[    3.694988] systemd[1]: Starting Paths.                                      
[  OK  ] Reached target Paths.                                                  
[    3.703147] systemd[1]: Reached target Paths.                                
[    3.707838] systemd[1]: Starting Swap.                                       
[  OK  ] Reached target Swap.                                                   
[    3.715777] systemd[1]: Reached target Swap.                                 
[    3.720356] systemd[1]: Expecting device dev-mmcblk0p1.device...             
         Expecting device dev-mmcblk0p1.device...                               
[    3.731556] systemd[1]: Starting Root Slice.                                 
[  OK  ] Created slice Root Slice.                                              
[    3.740631] systemd[1]: Created slice Root Slice.                            
[    3.745683] systemd[1]: Starting User and Session Slice.                     
[  OK  ] Created slice User and Session Slice.                                  
[    3.757022] systemd[1]: Created slice User and Session Slice.                
[    3.763153] systemd[1]: Starting Delayed Shutdown Socket.                    
[  OK  ] Listening on Delayed Shutdown Socket.                                  
[    3.774565] systemd[1]: Listening on Delayed Shutdown Socket.                
[    3.780706] systemd[1]: Starting /dev/initctl Compatibility Named Pipe.      
[  OK  ] Listening on /dev/initctl Compatibility Named Pipe.                    
[    3.794576] systemd[1]: Listening on /dev/initctl Compatibility Named Pipe.  
[    3.801985] systemd[1]: Starting Journal Socket (/dev/log).                  
[  OK  ] Listening on Journal Socket (/dev/log).                                
[    3.813730] systemd[1]: Listening on Journal Socket (/dev/log).              
[    3.820069] systemd[1]: Starting udev Control Socket.                        
[  OK  ] Listening on udev Control Socket.                                      
[    3.830683] systemd[1]: Listening on udev Control Socket.                    
[    3.836469] systemd[1]: Starting udev Kernel Socket.                         
[  OK  ] Listening on udev Kernel Socket.                                       
[    3.846914] systemd[1]: Listening on udev Kernel Socket.                     
[    3.852631] systemd[1]: Starting Journal Socket.                             
[  OK  ] Listening on Journal Socket.                                           
[    3.862421] systemd[1]: Listening on Journal Socket.                         
[    3.867844] systemd[1]: Starting System Slice.                               
[  OK  ] Created slice System Slice.                                            
[    3.877444] systemd[1]: Created slice System Slice.                          
[    3.882782] systemd[1]: Started File System Check on Root Device.            
[    3.889278] systemd[1]: Starting system-getty.slice.                         
[  OK  ] Created slice system-getty.slice.                                      
[    3.900059] systemd[1]: Created slice system-getty.slice.                    
[    3.905843] systemd[1]: Starting system-serial\x2dgetty.slice.               
[  OK  ] Created slice system-serial\x2dgetty.slice.                            
[    3.918336] systemd[1]: Created slice system-serial\x2dgetty.slice.          
[    3.925119] systemd[1]: Starting Increase datagram queue length...           
         Starting Increase datagram queue length...                             
[    3.939704] systemd[1]: Starting Restore / save the current clock...         
         Starting Restore / save the current clock...                           
[    3.966728] systemd[1]: Mounting POSIX Message Queue File System...          
         Mounting POSIX Message Queue File System...                            
[    3.992358] systemd[1]: Starting Create list of required static device nodes.
         Starting Create list of required static device nodes...rrent kernel... 
[    4.043223] systemd[1]: Starting Load Kernel Modules...                      
         Starting Load Kernel Modules...                                        
[    4.059293] systemd[1]: Mounted Huge Pages File System.                      
[    4.077406] systemd[1]: Mounting Debug File System...                        
         Mounting Debug File System...                                          
[    4.099928] systemd[1]: Started Set Up Additional Binary Formats.            
[    4.115107] systemd[1]: Starting udev Coldplug all Devices...                
         Starting udev Coldplug all Devices...                                  
[    4.141923] systemd[1]: Starting LSB: Set keymap...                          
         Starting LSB: Set keymap...                                            
[    4.167408] systemd[1]: Starting Slices.                                     
[  OK  ] Reached target Slices.                                                 
[    4.191269] systemd[1]: Reached target Slices.                               
[  OK  ] Mounted Debug File System.                                             
[    4.222076] systemd[1]: Mounted Debug File System.                           
[  OK  ] Mounted POSIX Message Queue File System.                               
[    4.250100] systemd[1]: Mounted POSIX Message Queue File System.             
[  OK  ] Started Increase datagram queue length.                                
[    4.286104] systemd[1]: Started Increase datagram queue length.              
[  OK  ] Started Restore / save the current clock.                              
[    4.327349] systemd[1]: Started Restore / save the current clock.            
[  OK  ] Started Create list of required static device nodes ...current kernel. 
[    4.349727] systemd[1]: Started Create list of required static device nodes .
[  OK  ] Started Load Kernel Modules.                                           
[    4.365616] systemd[1]: Started Load Kernel Modules.                         
[  OK  ] Started LSB: Set keymap.                                               
[    4.388615] systemd[1]: Started LSB: Set keymap.                             
[  OK  ] Started udev Coldplug all Devices.                                     
[    4.557932] systemd[1]: Started udev Coldplug all Devices.                   
[    4.613314] systemd[1]: Mounted Configuration File System.                   
[    4.619312] systemd[1]: Starting Apply Kernel Variables...                   
         Starting Apply Kernel Variables...                                     
[    4.633046] systemd[1]: Mounting FUSE Control File System...                 
         Mounting FUSE Control File System...                                   
[    4.654567] systemd[1]: Starting Create Static Device Nodes in /dev...       
         Starting Create Static Device Nodes in /dev...                         
[    4.686315] systemd[1]: Starting Syslog Socket.                              
[  OK  ] Listening on Syslog Socket.                                            
[    4.708959] systemd[1]: Listening on Syslog Socket.                          
[    4.717356] systemd[1]: Starting Journal Service...                          
         Starting Journal Service...                                            
[  OK  ] Started Journal Service.                                               
[    4.746896] systemd[1]: Started Journal Service.                             
[  OK  ] Mounted FUSE Control File System.                                      
[  OK  ] Started Apply Kernel Variables.                                        
[  OK  ] Started Create Static Device Nodes in /dev.                            
         Starting udev Kernel Device Manager...                                 
[  OK  ] Started udev Ker[    4.916562] systemd-udevd[127]: starting version 215
nel Device Manager.                                                             
         Starting Copy rules generated while the root was ro...                 
         Starting LSB: Set preliminary keymap...                                
[  OK  ] Started Copy rules generated while the root was ro.                    
[  OK  ] Started LSB: Set preliminary keymap.                                   
         Starting Remount Root and Kernel File Systems...                       
[    5.345449] EXT4-fs (mmcblk0p2): re-mounted. Opts: errors=remount-ro         
[  OK  ] Started Remount Root and Kernel File Systems.                          
         Starting Load/Save Random Seed...                                      
[  OK  ] Reached target Local File Systems (Pre).                               
[  OK  ] Started Load/Save Random Seed.                                         
[  OK  ] Found device /dev/ttyO0.                                               
[  OK  ] Reached target Sound Card.                                             
[  OK  ] Found device /dev/mmcblk0p1.                                           
         Mounting /boot...                                                      
[  OK  ] Mounted /boot.                                                         
[  OK  ] Reached target Local File Systems.                                     
         Starting Create Volatile Files and Directories...                      
[  OK  ] Reached target Remote File Systems.                                    
         Starting Trigger Flushing of Journal to Persistent Storage...          
         Starting LSB: Prepare console...                                       
         Starting LSB: Raise network interfaces....                             
[  OK  ] Started Create Volatile Files and Directories.                         
[    6.976054] systemd-journald[125]: Received request to flush runtime journal1
[  OK  ] Started Trigger Flushing of Journal to Persistent Storage.             
         Starting Update UTMP about System Boot/Shutdown...                     
[  OK  ] Started Update UTMP about System Boot/Shutdown.                        
[  OK  ] Started LSB: Prepare console.                                          
         Starting LSB: Set console font and keymap...                           
[  OK  ] Started LSB: Set console font and keymap.                              
[    8.060149] net eth0: initializing cpsw version 1.12 (0)                     
[    8.069142] net eth0: phy found : id is : 0x7c0f1                            
[    8.075138] libphy: PHY 4a101000.mdio:01 not found                           
[    8.080215] net eth0: phy 4a101000.mdio:01 not found on slave 1              
[    8.092824] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready               
[   11.145926] libphy: 4a101000.mdio:00 - Link is Up - 100/Full                 
[   11.152376] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready          
[  OK  ] Started LSB: Raise network interfaces..                                
[  OK  ] Reached target Network.                                                
[  OK  ] Reached target System Initialization.                                  
[  OK  ] Listening on D-Bus System Message Bus Socket.                          
[  OK  ] Reached target Sockets.                                                
[  OK  ] Reached target Timers.                                                 
[  OK  ] Reached target Basic System.                                           
         Starting Modem Manager...                                              
         Starting Network Manager...                                            
         Starting Regular background program processing daemon...               
[  OK  ] Started Regular background program processing daemon.                  
         Starting Restore /etc/resolv.conf if the system cras...s shut down.... 
         Starting /etc/rc.local Compatibility...                                
         Starting Login Service...                                              
         Starting LSB: SANE network scanner server...                           
         Starting D-Bus System Message Bus...                                   
[  OK  ] Started D-Bus System Message Bus.                                      
         Starting System Logging Service...                                     
         Starting Permit User Sessions...                                       
[  OK  ] Started Restore /etc/resolv.conf if the system crash...was shut down.. 
[  OK  ] Started /etc/rc.local Compatibility.                                   
[  OK  ] Started LSB: SANE network scanner server.                              
[  OK  ] Started Permit User Sessions.                                          
[  OK  ] Started System Logging Service.                                        
[  OK  ] Started Login Service.                                                 
         Starting Authenticate and Authorize Users to Run Privileged Tasks...   
         Starting Light Display Manager...                                      
         Starting Getty on tty1...                                              
[  OK  ] Started Getty on tty1.                                                 
         Starting Serial Getty on ttyO0...                                      
[  OK  ] Started Serial Getty on ttyO0.                                         
[  OK  ] Reached target Login Prompts.                                          
[  OK  ] Started Authenticate and Authorize Users to Run Privileged Tasks.      
[  OK  ] Started Light Display Manager.                                         
[  OK  ] Started Modem Manager.                                                 
[  OK  ] Started Network Manager.                                               
[  OK  ] Reached target Multi-User System.                                      
[  OK  ] Reached target Graphical Interface.                                    
         Starting Update UTMP about System Runlevel Changes...                  
[  OK  ] Started Update UTMP about System Runlevel Changes.                     
                                                                                
Kali GNU/Linux 2.0 kali ttyO0                                                   
kali login: [   17.541882] tilcdc 4830e000.fb: timeout waiting for framedone    
[   17.596331] tilcdc 4830e000.fb: Not sure which CEA mode to set, leaving as DI

kali1 (43,605 bytes)

S1NH

2015-12-28 12:59

reporter  

kali2 (43,455 bytes)
Welcome to minicom 2.7

OPTIONS: I18n 
Compiled on Jan  1 2014, 09:30:18.
Port /dev/ttyUSB0, 07:49:24

Press CTRL-A Z for help on special keys


U-Boot SPL 2015.10-00001-g51aa16b (Oct 21 2015 - 14:16:21)
bad magic


U-Boot 2015.10-00001-g51aa16b (Oct 21 2015 - 14:16:21 -0500), Build: jenkins-gi0

       Watchdog enabled
I2C:   ready
DRAM:  512 MiB
Reset Source: Global external warm reset has occurred.
Reset Source: Power-on reset has occurred.
MMC:   OMAP SD/MMC: 0, OMAP SD/MMC: 1
Using default environment
                                                                                
Net:   <ethaddr> not set. Validating first E-fuse MAC                           
cpsw                                                                            
Hit any key to stop autoboot:  0                                                
gpio: pin 53 (gpio 53) value is 1                                               
switch to partitions #0, OK                                                     
mmc0 is current device                                                          
gpio: pin 54 (gpio 54) value is 1                                               
Checking for: /uEnv.txt ...                                                     
reading uEnv.txt                                                                
1039 bytes read in 4 ms (252.9 KiB/s)                                           
gpio: pin 55 (gpio 55) value is 1                                               
Loaded environment from uEnv.txt                                                
Importing environment from mmc ...                                              
Checking if uenvcmd is set ...                                                  
gpio: pin 56 (gpio 56) value is 1                                               
Running uenvcmd ...                                                             
reading zImage                                                                  
5497608 bytes read in 300 ms (17.5 MiB/s)                                       
reading /dtbs/am335x-boneblack.dtb                                              
25926 bytes read in 9 ms (2.7 MiB/s)                                            
Kernel image @ 0x82000000 [ 0x000000 - 0x53e308 ]                               
## Flattened Device Tree blob at 88000000                                       
   Booting using the fdt blob at 0x88000000                                     
   Loading Device Tree to 8fff6000, end 8ffff545 ... OK                         
                                                                                
Starting kernel ...                                                             
                                                                                
Uncompressing Linux... done, booting the kernel.                                
[    0.000000] Booting Linux on physical CPU 0x0                                
[    0.000000] Initializing cgroup subsys cpu                                   
[    0.000000] Linux version 3.8.13-bone53 (root@builder) (gcc version 4.7.3 205
[    0.000000] CPU: ARMv7 Processor [413fc082] revision 2 (ARMv7), cr=50c5387d  
[    0.000000] CPU: PIPT / VIPT nonaliasing data cache, VIPT aliasing instructie
[    0.000000] Machine: Generic AM33XX (Flattened Device Tree), model: TI AM335e
[    0.000000] Memory policy: ECC disabled, Data cache writeback                
[    0.000000] AM335X ES1.0 (neon )                                             
[    0.000000] PERCPU: Embedded 9 pages/cpu @c0d09000 s14080 r8192 d14592 u36864
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pa2
[    0.000000] Kernel command line: console=ttyO0,115200n8 root=/dev/mmcblk0p2 c
[    0.000000] PID hash table entries: 2048 (order: 1, 8192 bytes)              
[    0.000000] Dentry cache hash table entries: 65536 (order: 6, 262144 bytes)  
[    0.000000] Inode-cache hash table entries: 32768 (order: 5, 131072 bytes)   
[    0.000000] __ex_table already sorted, skipping sort                         
[    0.000000] allocated 1048576 bytes of page_cgroup                           
[    0.000000] please try 'cgroup_disable=memory' option if you don't want memos
[    0.000000] Memory: 511MB = 511MB total                                      
[    0.000000] Memory: 508428k/508428k available, 15860k reserved, 0K highmem   
[    0.000000] Virtual kernel memory layout:                                    
[    0.000000]     vector  : 0xffff0000 - 0xffff1000   (   4 kB)                
[    0.000000]     fixmap  : 0xfff00000 - 0xfffe0000   ( 896 kB)                
[    0.000000]     vmalloc : 0xe0800000 - 0xff000000   ( 488 MB)                
[    0.000000]     lowmem  : 0xc0000000 - 0xe0000000   ( 512 MB)                
[    0.000000]     pkmap   : 0xbfe00000 - 0xc0000000   (   2 MB)                
[    0.000000]     modules : 0xbf800000 - 0xbfe00000   (   6 MB)                
[    0.000000]       .text : 0xc0008000 - 0xc07bbc6c   (7888 kB)                
[    0.000000]       .init : 0xc07bc000 - 0xc07f8700   ( 242 kB)                
[    0.000000]       .data : 0xc07fa000 - 0xc0881580   ( 542 kB)                
[    0.000000]        .bss : 0xc0881580 - 0xc08f8cc0   ( 478 kB)                
[    0.000000] Hierarchical RCU implementation.                                 
[    0.000000]  RCU restricting CPUs from NR_CPUS=4 to nr_cpu_ids=1.            
[    0.000000] NR_IRQS:0 nr_irqs:0 0                                            
[    0.000000] IRQ: Found an INTC at 0xfa200000 (revision 5.0) with 128 interrus
[    0.000000] Total of 128 interrupts on 1 active controller                   
[    0.000000] OMAP clockevent source: GPTIMER1 at 24000000 Hz                  
[    0.000000] sched_clock: 32 bits at 24MHz, resolution 41ns, wraps every 1789s
[    0.000000] OMAP clocksource: GPTIMER2 at 24000000 Hz                        
[    0.000000] Console: colour dummy device 80x30                               
[    0.000233] Calibrating delay loop... 993.47 BogoMIPS (lpj=969728)           
[    0.029185] pid_max: default: 32768 minimum: 301                             
[    0.029318] Security Framework initialized                                   
[    0.029372] Mount-cache hash table entries: 512                              
[    0.034996] Initializing cgroup subsys cpuacct                               
[    0.035021] Initializing cgroup subsys memory                                
[    0.035097] Initializing cgroup subsys blkio                                 
[    0.035181] CPU: Testing write buffer coherency: ok                          
[    0.035555] CPU0: thread -1, cpu 0, socket -1, mpidr 0                       
[    0.035607] Setting up static identity map for 0x804a2b38 - 0x804a2b84       
[    0.036519] Brought up 1 CPUs                                                
[    0.036533] SMP: Total of 1 processors activated (993.47 BogoMIPS).          
[    0.037323] devtmpfs: initialized                                            
[    0.045726] omap_hwmod: wd_timer2: _wait_target_disable failed               
[    0.097901] pinctrl core: initialized pinctrl subsystem                      
[    0.098033] rstctl core: initialized rstctl subsystem                        
[    0.098325] regulator-dummy: no parameters                                   
[    0.098634] NET: Registered protocol family 16                               
[    0.099160] DMA: preallocated 256 KiB pool for atomic coherent allocations   
[    0.104747] pinctrl-single 44e10800.pinmux: 142 pins at pa f9e10800 size 568 
[    0.105299] platform 49000000.edma: alias fck already exists                 
[    0.105316] platform 49000000.edma: alias fck already exists                 
[    0.105330] platform 49000000.edma: alias fck already exists                 
[    0.106051] OMAP GPIO hardware version 0.1                                   
[    0.108494] gpio-rctrl rstctl.4: loaded OK                                   
[    0.111644] hw-breakpoint: debug architecture 0x4 unsupported.               
[    0.112874] cpsw.0: No hwaddr in dt. Using 90:59:af:4b:7c:ea from efuse      
[    0.112893] cpsw.1: No hwaddr in dt. Using 90:59:af:4b:7c:ec from efuse      
[    0.121064] bio: create slab <bio-0> at 0                                    
[    0.127331] edma-dma-engine edma-dma-engine.0: TI EDMA DMA engine driver     
[    0.127597] vmmcsd_fixed: 3300 mV                                            
[    0.129165] SCSI subsystem initialized                                       
[    0.129397] usbcore: registered new interface driver usbfs                   
[    0.129455] usbcore: registered new interface driver hub                     
[    0.129658] usbcore: registered new device driver usb                        
[    0.130887] omap_i2c 44e0b000.i2c: bus 0 rev0.11 at 400 kHz                  
[    0.131791] input: tps65217_pwr_but as /devices/ocp.3/44e0b000.i2c/i2c-0/0-00
[    0.133011] DCDC1: at 1500 mV                                                
[    0.133833] vdd_mpu: 925 <--> 1325 mV at 1325 mV                             
[    0.134680] vdd_core: 925 <--> 1150 mV at 1125 mV                            
[    0.135481] LDO1: at 1800 mV                                                 
[    0.136269] LDO2: at 3300 mV                                                 
[    0.137790] LDO3: 1800 mV                                                    
[    0.138606] LDO4: at 3300 mV                                                 
[    0.139315] tps65217 0-0024: TPS65217 ID 0xe version 1.2                     
[    0.139767] omap_i2c 44e0b000.i2c: unable to select pin group                
[    0.140225] omap_i2c 4819c000.i2c: bus 1 rev0.11 at 100 kHz                  
[    0.141646] omap_i2c 4819c000.i2c: unable to select pin group                
[    0.141786] media: Linux media interface: v0.10                              
[    0.141850] Linux video capture interface: v2.00                             
[    0.141923] pps_core: LinuxPPS API ver. 1 registered                         
[    0.141931] pps_core: Software ver. 5.3.6 - Copyright 2005-2007 Rodolfo Giom>
[    0.142326] Advanced Linux Sound Architecture Driver Initialized.            
[    0.142965] NetLabel: Initializing                                           
[    0.142977] NetLabel:  domain hash size = 128                                
[    0.142983] NetLabel:  protocols = UNLABELED CIPSOv4                         
[    0.143047] NetLabel:  unlabeled traffic allowed by default                  
[    0.143223] Switching to clocksource gp_timer                                
[    0.174298] NET: Registered protocol family 2                                
[    0.174992] TCP established hash table entries: 4096 (order: 3, 32768 bytes) 
[    0.175073] TCP bind hash table entries: 4096 (order: 4, 81920 bytes)        
[    0.175166] TCP: Hash tables configured (established 4096 bind 4096)         
[    0.175224] TCP: reno registered                                             
[    0.175239] UDP hash table entries: 256 (order: 1, 12288 bytes)              
[    0.175263] UDP-Lite hash table entries: 256 (order: 1, 12288 bytes)         
[    0.175494] NET: Registered protocol family 1                                
[    0.175880] RPC: Registered named UNIX socket transport module.              
[    0.175892] RPC: Registered udp transport module.                            
[    0.175899] RPC: Registered tcp transport module.                            
[    0.175906] RPC: Registered tcp NFSv4.1 backchannel transport module.        
[    0.176362] hw perfevents: enabled with ARMv7 Cortex-A8 PMU driver, 5 countee
[    0.176716] CPU PMU: attempt to register multiple PMU devices!               
[    0.176742] arm-pmu: probe of arm-pmu failed with error -28                  
[    0.177011] omap2_mbox_probe: platform not supported                         
[    0.328548] VFS: Disk quotas dquot_6.5.2                                     
[    0.328684] Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)       
[    0.329506] NFS: Registering the id_resolver key type                        
[    0.329582] Key type id_resolver registered                                  
[    0.329591] Key type id_legacy registered                                    
[    0.329865] fuse init (API version 7.20)                                     
[    0.330249] Btrfs loaded                                                     
[    0.330348] msgmni has been set to 993                                       
[    0.331952] Block layer SCSI generic (bsg) driver version 0.4 loaded (major )
[    0.331967] io scheduler noop registered                                     
[    0.331976] io scheduler deadline registered                                 
[    0.331997] io scheduler cfq registered (default)                            
[    0.333148] tps65217-bl tps65217-bl: no platform data provided               
[    0.333173] tps65217-bl: probe of tps65217-bl failed with error -22          
[    0.333673] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled          
[    0.335014] omap_uart 44e09000.serial: did not get pins for uart0 error: -19 
[    0.335281] 44e09000.serial: ttyO0 at MMIO 0x44e09000 (irq = 72) is a OMAP U0
[    1.077094] console [ttyO0] enabled                                          
[    1.081388] [drm] Initialized drm 1.1.0 20060810                             
[    1.093453] brd: module loaded                                               
[    1.100372] loop: module loaded                                              
[    1.103752] at24 0-0050: 32768 byte 24c256 EEPROM, writable, 1 bytes/write   
[    1.111005] at24 1-0054: 32768 byte 24c256 EEPROM, writable, 1 bytes/write   
[    1.118249] at24 1-0055: 32768 byte 24c256 EEPROM, writable, 1 bytes/write   
[    1.125564] at24 1-0056: 32768 byte 24c256 EEPROM, writable, 1 bytes/write   
[    1.132814] at24 1-0057: 32768 byte 24c256 EEPROM, writable, 1 bytes/write   
[    1.146721] bone-capemgr bone_capemgr.9: Baseboard: 'A335BNLT,00A6,4513BBBK0'
[    1.154489] bone-capemgr bone_capemgr.9: compatible-baseboard=ti,beaglebone-k
[    1.192124] bone-capemgr bone_capemgr.9: slot #0: No cape found              
[    1.229229] bone-capemgr bone_capemgr.9: slot #1: No cape found              
[    1.266338] bone-capemgr bone_capemgr.9: slot #2: No cape found              
[    1.303448] bone-capemgr bone_capemgr.9: slot #3: No cape found              
[    1.309667] bone-capemgr bone_capemgr.9: slot #4: specific override          
[    1.316251] bone-capemgr bone_capemgr.9: bone: Using override eeprom data at4
[    1.324263] bone-capemgr bone_capemgr.9: slot #4: 'Bone-LT-eMMC-2G,00A0,Texa'
[    1.334322] bone-capemgr bone_capemgr.9: slot #5: specific override          
[    1.340887] bone-capemgr bone_capemgr.9: bone: Using override eeprom data at5
[    1.348894] bone-capemgr bone_capemgr.9: slot #5: 'Bone-Black-HDMI,00A0,Texa'
[    1.358855] bone-capemgr bone_capemgr.9: slot #6: specific override          
[    1.365426] bone-capemgr bone_capemgr.9: bone: Using override eeprom data at6
[    1.373434] bone-capemgr bone_capemgr.9: slot #6: 'Bone-Black-HDMIN,00A0,Tex'
[    1.383830] bone-capemgr bone_capemgr.9: loader: before slot-4 BB-BONE-EMMC-)
[    1.392657] bone-capemgr bone_capemgr.9: loader: check slot-4 BB-BONE-EMMC-2)
[    1.401446] bone-capemgr bone_capemgr.9: loader: before slot-5 BB-BONELT-HDM)
[    1.410194] bone-capemgr bone_capemgr.9: loader: check slot-5 BB-BONELT-HDMI)
[    1.418847] bone-capemgr bone_capemgr.9: initialized OK.                     
[    1.424417] bone-capemgr bone_capemgr.9: loader: before slot-6 BB-BONELT-HDM)
[    1.433236] bone-capemgr bone_capemgr.9: loader: check slot-6 BB-BONELT-HDMI)
[    1.443647] OneNAND driver initializing                                      
[    1.448566] usbcore: registered new interface driver cdc_ether               
[    1.454710] bone-capemgr bone_capemgr.9: loader: after slot-4 BB-BONE-EMMC-2)
[    1.463501] usbcore: registered new interface driver rndis_host              
[    1.469745] bone-capemgr bone_capemgr.9: loader: after slot-5 BB-BONELT-HDMI)
[    1.478402] bone-capemgr bone_capemgr.9: loader: check slot-6 BB-BONELT-HDMI)
[    1.487196] usbcore: registered new interface driver cdc_ncm                 
[    1.493131] bone-capemgr bone_capemgr.9: slot #4: Requesting firmware 'cape-'
[    1.507119] usbcore: registered new interface driver cdc_acm                 
[    1.513064] cdc_acm: USB Abstract Control Model driver for USB modems and ISs
[    1.521423] Initializing USB Mass Storage driver...                          
[    1.526538] bone-capemgr bone_capemgr.9: slot #4: dtbo 'cape-bone-2g-emmc1.de
[    1.537201] bone-capemgr bone_capemgr.9: slot #5: Requesting firmware 'cape-'
[    1.551346] usbcore: registered new interface driver usb-storage             
[    1.557637] USB Mass Storage support registered.                             
[    1.562663] bone-capemgr bone_capemgr.9: slot #4: #2 overlays                
[    1.569286] bone-capemgr bone_capemgr.9: slot #4: Applied #2 overlays.       
[    1.576129] bone-capemgr bone_capemgr.9: loader: done slot-4 BB-BONE-EMMC-2G)
[    1.584792] bone-capemgr bone_capemgr.9: loader: check slot-6 BB-BONELT-HDMI)
[    1.593551] bone-capemgr bone_capemgr.9: slot #5: dtbo 'cape-boneblack-hdmi-e
[    1.604875] musb-hdrc: version 6.0, ?dma?, otg (peripheral+host)             
[    1.611419] musb-hdrc musb-hdrc.0.auto: pdev->id = 0                         
[    1.616641] musb-hdrc musb-hdrc.0.auto: drivers/usb/musb/musb_dsps.c:468 dspK
[    1.625947] bone-capemgr bone_capemgr.9: slot #5: #4 overlays                
[    1.633291] platform 4830e000.fb: alias fck already exists                   
[    1.639280] musb-hdrc musb-hdrc.0.auto: *** mode=3                           
[    1.644318] musb-hdrc musb-hdrc.0.auto: *** power=250                        
[    1.650499] bone-capemgr bone_capemgr.9: slot #5: Applied #4 overlays.       
[    1.657389] bone-capemgr bone_capemgr.9: loader: done slot-5 BB-BONELT-HDMI:)
[    1.665973] bone-capemgr bone_capemgr.9: loader: check slot-6 BB-BONELT-HDMI)
[    1.675160] musb-hdrc musb-hdrc.1.auto: pdev->id = 1                         
[    1.680404] musb-hdrc musb-hdrc.1.auto: drivers/usb/musb/musb_dsps.c:468 dspK
[    1.689169] bone-capemgr bone_capemgr.9: loader: after slot-6 BB-BONELT-HDMI)
[    1.698071] musb-hdrc musb-hdrc.1.auto: *** mode=1                           
[    1.703081] musb-hdrc musb-hdrc.1.auto: *** power=250                        
[    1.708367] musb-hdrc musb-hdrc.1.auto: MUSB HDRC host driver                
[    1.714388] bone-capemgr bone_capemgr.9: slot #6: Requesting firmware 'cape-'
[    1.728734] bone-capemgr bone_capemgr.9: slot #6: dtbo 'cape-boneblack-hdmine
[    1.740285] musb-hdrc musb-hdrc.1.auto: new USB bus registered, assigned bus1
[    1.748644] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002    
[    1.755774] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber1
[    1.763335] usb usb1: Product: MUSB HDRC host driver                         
[    1.768531] usb usb1: Manufacturer: Linux 3.8.13-bone53 musb-hcd             
[    1.774818] usb usb1: SerialNumber: musb-hdrc.1.auto                         
[    1.780223] bone-capemgr bone_capemgr.9: slot #6: BB-BONELT-HDMIN conflict P)
[    1.789795] bone-capemgr bone_capemgr.9: slot #6: Failed verification        
[    1.796536] bone-capemgr bone_capemgr.9: loader: failed to load slot-6 BB-BO)
[    1.806799] hub 1-0:1.0: USB hub found                                       
[    1.810807] hub 1-0:1.0: 1 port detected                                     
[    1.815716] mousedev: PS/2 mouse device common for all mice                  
[    1.823119] omap_rtc 44e3e000.rtc: rtc core: registered 44e3e000.rtc as rtc0 
[    1.830562] 44e3e000.rtc: already running                                    
[    1.834926] i2c /dev entries driver                                          
[    1.839538] pps_ldisc: PPS line discipline registered                        
[    1.844925] Driver for 1-wire Dallas network protocol.                       
[    1.851430] omap_wdt: OMAP Watchdog Timer Rev 0x01: initial timeout 60 sec   
[    1.859052] device-mapper: ioctl: 4.23.1-ioctl (2012-12-18) initialised: dm-m
[    1.867952] cpuidle: using governor ladder                                   
[    1.872262] cpuidle: using governor menu                                     
[    1.876667] omap_hsmmc mmc.5: of_parse_phandle_with_args of 'reset' failed   
[    1.883874] omap_hsmmc mmc.5: Failed to get rstctl; not using any            
[    1.890531] edma-dma-engine edma-dma-engine.0: allocated channel for 0:25    
[    1.897686] edma-dma-engine edma-dma-engine.0: allocated channel for 0:24    
[    1.904954] mmc.5 supply vmmc_aux not found, using dummy regulator           
[    1.911742] omap_hsmmc mmc.5: pins are not configured from the driver        
[    1.946251] gpio-rctrl rstctl.4: gpio_rctrl_request eMMC_RSTn                
[    1.952391] omap_hsmmc mmc.11: Got rstctl (gpio:#0 name eMMC_RSTn) label:eMMn
[    1.960343] gpio-rctrl rstctl.4: gpio_rctrl_deassert eMMC_RSTn               
[    1.966657] edma-dma-engine edma-dma-engine.0: allocated channel for 0:3     
[    1.973741] edma-dma-engine edma-dma-engine.0: allocated channel for 0:2     
[    1.981088] mmc.11 supply vmmc_aux not found, using dummy regulator          
[    1.987757] omap_hsmmc mmc.11: pins are not configured from the driver       
[    2.022556] pinctrl-single 44e10800.pinmux: pin 44e10854 already requested b8
[    2.034224] pinctrl-single 44e10800.pinmux: pin-21 (gpio-leds.8) status -22  
[    2.041531] pinctrl-single 44e10800.pinmux: could not request pin 21 on devie
[    2.050712] leds-gpio gpio-leds.8: pins are not configured from the driver   
[    2.058767] ledtrig-cpu: registered to indicate activity on CPUs             
[    2.065395] edma-dma-engine edma-dma-engine.0: allocated channel for 0:36    
[    2.072606] omap-sham 53100000.sham: hw accel on OMAP rev 4.3                
[    2.080014] omap-aes 53500000.aes: OMAP AES hw accel rev: 3.2                
[    2.086235] edma-dma-engine edma-dma-engine.0: allocated channel for 0:5     
[    2.093352] edma-dma-engine edma-dma-engine.0: allocated channel for 0:6     
[    2.102157] mmc0: host does not support reading read-only switch. assuming w.
[    2.111731] usbcore: registered new interface driver usbhid                  
[    2.117597] usbhid: USB HID core driver                                      
[    2.122560] ashmem: initialized                                              
[    2.126026] mmc0: new high speed SDHC card at address 0001                   
[    2.132020] logger: created 256K log 'log_main'                              
[    2.137245] mmcblk0: mmc0:0001 00000 14.6 GiB                                
[    2.142176] logger: created 256K log 'log_events'                            
[    2.147905] logger: created 256K log 'log_radio'                             
[    2.152878]  mmcblk0: p1 p2                                                  
[    2.156447] logger: created 256K log 'log_system'                            
[    2.164626] davinci_evm sound.14:  nxp-hdmi-hifi <-> 48038000.mcasp mapping k
[    2.174298] TCP: cubic registered                                            
[    2.177915] NET: Registered protocol family 10                               
[    2.183498] NET: Registered protocol family 17                               
[    2.188453] Key type dns_resolver registered                                 
[    2.193128] VFP support v0.3: implementor 41 architecture 3 part 30 variant 3
[    2.201226] ThumbEE CPU extension supported.                                 
[    2.205735] Registering SWP/SWPB emulation handler                           
[    2.211497] registered taskstats version 1                                   
[    2.217405] tilcdc 4830e000.fb: No power control GPIO                        
[    2.256099] mmc1: BKOPS_EN bit is not set                                    
[    2.262476] usb 1-1: new low-speed USB device number 2 using musb-hdrc       
[    2.269713] mmc1: new high speed MMC card at address 0001                    
[    2.275931] mmcblk1: mmc1:0001 MMC02G 1.78 GiB                               
[    2.281053] mmcblk1boot0: mmc1:0001 MMC02G partition 1 1.00 MiB              
[    2.287458] mmcblk1boot1: mmc1:0001 MMC02G partition 2 1.00 MiB              
[    2.295557]  mmcblk1: p1 p2                                                  
[    2.300344]  mmcblk1boot1: unknown partition table                           
[    2.306834]  mmcblk1boot0: unknown partition table                           
[    2.335198] tilcdc 4830e000.fb: found TDA19988                               
[    2.340425] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).      
[    2.347343] [drm] No driver support for vblank timestamp query.              
[    2.400732] usb 1-1: New USB device found, idVendor=093a, idProduct=2510     
[    2.400739] usb 1-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[    2.400753] usb 1-1: Product: USB OPTICAL MOUSE                              
[    2.400759] usb 1-1: Manufacturer: PIXART                                    
[    2.405261] input: PIXART USB OPTICAL MOUSE as /devices/ocp.3/47400000.usb/m1
[    2.406047] hid-generic 0003:093A:2510.0001: input,hidraw0: USB HID v1.11 Mo0
[    2.447734] tilcdc 4830e000.fb: Not sure which CEA mode to set, leaving as DI
[    2.466788] Console: switching to colour frame buffer device 180x56          
[    2.538059] tilcdc 4830e000.fb: fb0:  frame buffer device                    
[    2.543705] tilcdc 4830e000.fb: registered panic notifier                    
[    2.549366] [drm] Initialized tilcdc 1.0.0 20121205 on minor 0               
[    2.604246] davinci_mdio 4a101000.mdio: davinci mdio revision 1.6            
[    2.610641] davinci_mdio 4a101000.mdio: detected phy mask fffffffe           
[    2.617841] libphy: 4a101000.mdio: probed                                    
[    2.622082] davinci_mdio 4a101000.mdio: phy[0]: device 4a101000.mdio:00, dri0
[    2.631823] Detected MACID = 90:59:af:4b:7c:ea                               
[    2.636408] cpsw 4a100000.ethernet: NAPI disabled                            
[    2.642651] omap_rtc 44e3e000.rtc: setting system clock to 2000-01-01 02:44:)
[    2.656337] ALSA device list:                                                
[    2.659496]   #0: TI BeagleBone Black                                        
[    2.962226] EXT4-fs (mmcblk0p2): recovery complete                           
[    2.968539] EXT4-fs (mmcblk0p2): mounted filesystem with ordered data mode. )
[    2.977061] VFS: Mounted root (ext4 filesystem) on device 179:2.             
[    2.984189] devtmpfs: mounted                                                
[    2.987624] Freeing init memory: 240K                                        
[    3.153866] systemd[1]: systemd 215 running in system mode. (+PAM +AUDIT +SE)
[    3.168275] systemd[1]: Detected architecture 'arm'.                         
                                                                                
Welcome to Kali GNU/Linux 2.0 (sana)!                                           
                                                                                
[    3.187861] systemd[1]: Set hostname to <kali>.                              
[    3.565332] systemd[1]: Starting Forward Password Requests to Wall Directory.
[    3.573890] systemd[1]: Started Forward Password Requests to Wall Directory .
[    3.581979] systemd[1]: Expecting device dev-ttyO0.device...                 
         Expecting device dev-ttyO0.device...                                   
[    3.592889] systemd[1]: Starting Remote File Systems (Pre).                  
[  OK  ] Reached target Remote File Systems (Pre).                              
[    3.604628] systemd[1]: Reached target Remote File Systems (Pre).            
[    3.611267] systemd[1]: Starting Arbitrary Executable File Formats File Syst.
[  OK  ] Set up automount Arbitrary Executable File Formats F...utomount Point. 
[    3.629543] systemd[1]: Set up automount Arbitrary Executable File Formats F.
[    3.639532] systemd[1]: Starting Encrypted Volumes.                          
[  OK  ] Reached target Encrypted Volumes.                                      
[    3.649849] systemd[1]: Reached target Encrypted Volumes.                    
[    3.655668] systemd[1]: Starting Dispatch Password Requests to Console Direc.
[    3.664425] systemd[1]: Started Dispatch Password Requests to Console Direct.
[    3.672839] systemd[1]: Starting Paths.                                      
[  OK  ] Reached target Paths.                                                  
[    3.681000] systemd[1]: Reached target Paths.                                
[    3.685691] systemd[1]: Starting Swap.                                       
[  OK  ] Reached target Swap.                                                   
[    3.693632] systemd[1]: Reached target Swap.                                 
[    3.698210] systemd[1]: Expecting device dev-mmcblk0p1.device...             
         Expecting device dev-mmcblk0p1.device...                               
[    3.709368] systemd[1]: Starting Root Slice.                                 
[  OK  ] Created slice Root Slice.                                              
[    3.718484] systemd[1]: Created slice Root Slice.                            
[    3.723525] systemd[1]: Starting User and Session Slice.                     
[  OK  ] Created slice User and Session Slice.                                  
[    3.734858] systemd[1]: Created slice User and Session Slice.                
[    3.741023] systemd[1]: Starting Delayed Shutdown Socket.                    
[  OK  ] Listening on Delayed Shutdown Socket.                                  
[    3.752387] systemd[1]: Listening on Delayed Shutdown Socket.                
[    3.758567] systemd[1]: Starting /dev/initctl Compatibility Named Pipe.      
[  OK  ] Listening on /dev/initctl Compatibility Named Pipe.                    
[    3.772382] systemd[1]: Listening on /dev/initctl Compatibility Named Pipe.  
[    3.779772] systemd[1]: Starting Journal Socket (/dev/log).                  
[  OK  ] Listening on Journal Socket (/dev/log).                                
[    3.791495] systemd[1]: Listening on Journal Socket (/dev/log).              
[    3.797883] systemd[1]: Starting udev Control Socket.                        
[  OK  ] Listening on udev Control Socket.                                      
[    3.808501] systemd[1]: Listening on udev Control Socket.                    
[    3.814296] systemd[1]: Starting udev Kernel Socket.                         
[  OK  ] Listening on udev Kernel Socket.                                       
[    3.824724] systemd[1]: Listening on udev Kernel Socket.                     
[    3.830436] systemd[1]: Starting Journal Socket.                             
[  OK  ] Listening on Journal Socket.                                           
[    3.840194] systemd[1]: Listening on Journal Socket.                         
[    3.845614] systemd[1]: Starting System Slice.                               
[  OK  ] Created slice System Slice.                                            
[    3.855283] systemd[1]: Created slice System Slice.                          
[    3.860616] systemd[1]: Started File System Check on Root Device.            
[    3.867121] systemd[1]: Starting system-getty.slice.                         
[  OK  ] Created slice system-getty.slice.                                      
[    3.877916] systemd[1]: Created slice system-getty.slice.                    
[    3.883681] systemd[1]: Starting system-serial\x2dgetty.slice.               
[  OK  ] Created slice system-serial\x2dgetty.slice.                            
[    3.896173] systemd[1]: Created slice system-serial\x2dgetty.slice.          
[    3.902943] systemd[1]: Starting Increase datagram queue length...           
         Starting Increase datagram queue length...                             
[    3.917614] systemd[1]: Starting Restore / save the current clock...         
         Starting Restore / save the current clock...                           
[    3.946541] systemd[1]: Mounting POSIX Message Queue File System...          
         Mounting POSIX Message Queue File System...                            
[    3.969361] systemd[1]: Starting Create list of required static device nodes.
         Starting Create list of required static device nodes...rrent kernel... 
[    4.018526] systemd[1]: Starting Load Kernel Modules...                      
         Starting Load Kernel Modules...                                        
[    4.046762] systemd[1]: Mounted Huge Pages File System.                      
[    4.061586] systemd[1]: Mounting Debug File System...                        
         Mounting Debug File System...                                          
[    4.088835] systemd[1]: Started Set Up Additional Binary Formats.            
[    4.099295] systemd[1]: Starting udev Coldplug all Devices...                
         Starting udev Coldplug all Devices...                                  
[    4.124826] systemd[1]: Starting LSB: Set keymap...                          
         Starting LSB: Set keymap...                                            
[    4.145481] systemd[1]: Starting Slices.                                     
[  OK  ] Reached target Slices.                                                 
[    4.169517] systemd[1]: Reached target Slices.                               
[  OK  ] Mounted Debug File System.                                             
[    4.198692] systemd[1]: Mounted Debug File System.                           
[  OK  ] Mounted POSIX Message Queue File System.                               
[    4.225887] systemd[1]: Mounted POSIX Message Queue File System.             
[  OK  ] Started Increase datagram queue length.                                
[    4.260636] systemd[1]: Started Increase datagram queue length.              
[  OK  ] Started Restore / save the current clock.                              
[    4.303937] systemd[1]: Started Restore / save the current clock.            
[  OK  ] Started Create list of required static device nodes ...current kernel. 
[    4.328384] systemd[1]: Started Create list of required static device nodes .
[  OK  ] Started Load Kernel Modules.                                           
[    4.344276] systemd[1]: Started Load Kernel Modules.                         
[  OK  ] Started LSB: Set keymap.                                               
[    4.365045] systemd[1]: Started LSB: Set keymap.                             
[  OK  ] Started udev Coldplug all Devices.                                     
[    4.536251] systemd[1]: Started udev Coldplug all Devices.                   
[    4.591764] systemd[1]: Mounted Configuration File System.                   
[    4.597839] systemd[1]: Starting Apply Kernel Variables...                   
         Starting Apply Kernel Variables...                                     
[    4.611507] systemd[1]: Mounting FUSE Control File System...                 
         Mounting FUSE Control File System...                                   
[    4.632949] systemd[1]: Starting Create Static Device Nodes in /dev...       
         Starting Create Static Device Nodes in /dev...                         
[    4.664038] systemd[1]: Starting Syslog Socket.                              
[  OK  ] Listening on Syslog Socket.                                            
[    4.687587] systemd[1]: Listening on Syslog Socket.                          
[    4.695839] systemd[1]: Starting Journal Service...                          
         Starting Journal Service...                                            
[  OK  ] Started Journal Service.                                               
[    4.727133] systemd[1]: Started Journal Service.                             
[  OK  ] Mounted FUSE Control File System.                                      
[  OK  ] Started Apply Kernel Variables.                                        
[  OK  ] Started Create Static Device Nodes in /dev.                            
         Starting udev Kernel Device Manager...                                 
[  OK  ] Started udev Ker[    4.905219] systemd-udevd[127]: starting version 215
nel Device Manager.                                                             
         Starting Copy rules generated while the root was ro...                 
         Starting LSB: Set preliminary keymap...                                
[  OK  ] Started Copy rules generated while the root was ro.                    
[  OK  ] Started LSB: Set preliminary keymap.                                   
         Starting Remount Root and Kernel File Systems...                       
[    5.406398] EXT4-fs (mmcblk0p2): re-mounted. Opts: errors=remount-ro         
[  OK  ] Started Remount Root and Kernel File Systems.                          
         Starting Load/Save Random Seed...                                      
[  OK  ] Reached target Local File Systems (Pre).                               
[  OK  ] Started Load/Save Random Seed.                                         
[  OK  ] Found device /dev/ttyO0.                                               
[  OK  ] Reached target Sound Card.                                             
[  OK  ] Found device /dev/mmcblk0p1.                                           
         Mounting /boot...                                                      
[  OK  ] Mounted /boot.                                                         
[  OK  ] Reached target Local File Systems.                                     
         Starting Create Volatile Files and Directories...                      
[  OK  ] Reached target Remote File Systems.                                    
         Starting Trigger Flushing of Journal to Persistent Storage...          
         Starting LSB: Prepare console...                                       
         Starting LSB: Raise network interfaces....                             
[  OK  ] Started Create Volatile Files and Directories.                         
[    6.915127] systemd-journald[125]: Received request to flush runtime journal1
[  OK  ] Started Trigger Flushing of Journal to Persistent Storage.             
         Starting Update UTMP about System Boot/Shutdown...                     
[  OK  ] Started Update UTMP about System Boot/Shutdown.                        
[  OK  ] Started LSB: Prepare console.                                          
         Starting LSB: Set console font and keymap...                           
[  OK  ] Started LSB: Set console font and keymap.                              
[    7.986909] net eth0: initializing cpsw version 1.12 (0)                     
[    7.996096] net eth0: phy found : id is : 0x7c0f1                            
[    8.002053] libphy: PHY 4a101000.mdio:01 not found                           
[    8.007167] net eth0: phy 4a101000.mdio:01 not found on slave 1              
[    8.020746] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready               
[   11.071577] libphy: 4a101000.mdio:00 - Link is Up - 100/Full                 
[   11.077970] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready          
[  OK  ] Started LSB: Raise network interfaces..                                
[  OK  ] Reached target Network.                                                
[  OK  ] Reached target System Initialization.                                  
[  OK  ] Listening on D-Bus System Message Bus Socket.                          
[  OK  ] Reached target Sockets.                                                
[  OK  ] Reached target Timers.                                                 
[  OK  ] Reached target Basic System.                                           
         Starting Modem Manager...                                              
         Starting Network Manager...                                            
         Starting Regular background program processing daemon...               
[  OK  ] Started Regular background program processing daemon.                  
         Starting Restore /etc/resolv.conf if the system cras...s shut down.... 
         Starting /etc/rc.local Compatibility...                                
         Starting Login Service...                                              
         Starting LSB: SANE network scanner server...                           
         Starting D-Bus System Message Bus...                                   
[  OK  ] Started D-Bus System Message Bus.                                      
         Starting System Logging Service...                                     
         Starting Permit User Sessions...                                       
[  OK  ] Started Restore /etc/resolv.conf if the system crash...was shut down.. 
[  OK  ] Started /etc/rc.local Compatibility.                                   
[  OK  ] Started LSB: SANE network scanner server.                              
[  OK  ] Started Permit User Sessions.                                          
[  OK  ] Started System Logging Service.                                        
[  OK  ] Started Login Service.                                                 
         Starting Authenticate and Authorize Users to Run Privileged Tasks...   
         Starting Light Display Manager...                                      
         Starting Getty on tty1...                                              
[  OK  ] Started Getty on tty1.                                                 
         Starting Serial Getty on ttyO0...                                      
[  OK  ] Started Serial Getty on ttyO0.                                         
[  OK  ] Reached target Login Prompts.                                          
[  OK  ] Started Authenticate and Authorize Users to Run Privileged Tasks.      
[  OK  ] Started Light Display Manager.                                         
[  OK  ] Started Modem Manager.                                                 
[  OK  ] Started Network Manager.                                               
[  OK  ] Reached target Multi-User System.                                      
[  OK  ] Reached target Graphical Interface.                                    
         Starting Update UTMP about System Runlevel Changes...                  
[  OK  ] Started Update UTMP about System Runlevel Changes.                     
[   17.260500] tilcdc 4830e000.fb: timeout waiting for framedone                
[   17.316916] tilcdc 4830e000.fb: Not sure which CEA mode to set, leaving as DI
                                                                                
Kali GNU/Linux 2.0 kali ttyO0                                                   
kali login: 
kali2 (43,455 bytes)

S1NH

2015-12-28 13:12

reporter   ~0004451

I'm also seeing this problem.Every time moving the mouse, BBB freeze with in 5 second.
lI have updated 2 log "kali1", "kali2". The first one is Beaglebone Black with Logitech wireless mouse, the second one is BBB with wired mouse.
When the BBB freezing, no more log display.

S1NH

2016-02-03 04:07

reporter   ~0004657

A good solution to solve the problem:

https://github.com/RobertCNelson/linux-dev/issues/41#issuecomment-178980188

S1NH

2016-02-11 07:29

reporter   ~0004692

The problem has been resolved.

https://github.com/steev/kali-arm-build-scripts/commit/3d7fd9be36281bd9ef3cee3e59eb3a76e67d1670

Ruby

2016-02-11 14:28

reporter   ~0004694

Okay thanks I will test it out later. Hopefully the fix would be implemented in a future version.

steev

2016-02-11 21:08

developer   ~0004696

The fix will be implemented in a future version - that's why it is in the script - however, since it's just adding a file (the xorg.conf to the filesystem), it makes less sense to do an entirely new image and release it - forcing people to download another 1GB file instead of just creating that file...

I do wish I knew why you were both hitting the issue and I wasn't, but thanks to Robert's use case, I was able to reproduce it.

steev

2016-04-30 00:21

developer   ~0005165

Fix is out in the 2.1.2 release of the bbb image.

Issue History

Date Modified Username Field Change
2015-08-13 01:42 Ruby New Issue
2015-12-21 22:23 Fredo Note Added: 0004423
2015-12-23 21:26 steev Note Added: 0004442
2015-12-23 22:57 Fredo Note Added: 0004444
2015-12-24 00:08 steev Note Added: 0004445
2015-12-24 14:38 Fredo Note Added: 0004448
2015-12-28 12:59 S1NH File Added: kali1
2015-12-28 12:59 S1NH File Added: kali2
2015-12-28 13:12 S1NH Note Added: 0004451
2016-02-03 04:07 S1NH Note Added: 0004657
2016-02-11 07:29 S1NH Note Added: 0004692
2016-02-11 14:28 Ruby Note Added: 0004694
2016-02-11 21:08 steev Note Added: 0004696
2016-04-30 00:21 steev Note Added: 0005165
2016-04-30 00:21 steev Status new => resolved
2016-04-30 00:21 steev Fixed in Version => 2016.1
2016-04-30 00:21 steev Resolution open => fixed
2016-04-30 00:21 steev Assigned To => steev